c XYZ2RAW - reads an unprojected xyz file and writes a single-vector .raw
c           file for input to REORDER.  Used by PROX2RAW.BAT
      character ifile*80
      print*,'enter input xyz filename:'
      read(5,100) ifile
  100 format(a)
      open(10,file=ifile,form='unformatted',status='old')
      print*,'enter output .raw filename:'
      read(5,100) ifile
      open(11,file=ifile,form='formatted',status='new')
      itype=1
      read(10,end=99) alon,alat,z
      write(11,*) itype
   10 read(10,end=90) alon1,alat1,z
      write(11,*) alat,alon
      alat=alat1
      alon=alon1
      go to 10
   90 write(11,200) alat,alon
   99 stop
200   format(2f16.6,'//')
      end
